# Xcache @ LRZ

This repo tracks the definition file of the singularity container and additional configuration for the xcache image used at LRZ in Munich. It's based on Wei's instructions on github:

https://github.com/wyang007/rucioN2N-for-Xcache


# Some instructions by Guenter
(Aug 7, 2018)

See also

https://wiki.physik.uni-muenchen.de/etp/index.php/Xcache_stuff

created `/etc/xrootd/auth_db` following  https://twiki.cern.ch/twiki/bin/view/AtlasComputing/Tier3gXrootdSetup

created `/etc/grid-security/xrd/*` following https://twiki.cern.ch/twiki/bin/view/AtlasComputing/FAXproxyNew

## build new image

```
singularity build "xcache.$(date +%F).img" xcache.singularity.def
```

make it used by systemd

```
ln -s "xcache.$(date +%F).img" xcache.img
```

## start shell w/ xcache

```
singularity shell -B /etc/xrootd:/etc/xrootd:ro -B /etc/grid-security:/etc/grid-security:ro -B /srv/xcache:/data:rw ~xcache/xcache.img
```

## remove cached files

```
./rm_cached_file.sh AOD.07709524._000001
```

will output files to be deleted and asks for confimation


## grid-proxy

regularly update via

```
/etc/cron.hourly/update_xcache-proxy
```

uses this as long term base-proxy

```
/root/.globus/base.proxy
```

create with

```
baseproxy=$HOME/.globus/base.proxy
grid-proxy-init -cert usercert.pem -key userkey.pem -out $baseproxy -valid 10000:00
```
